Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 982817 - When using the option --gio it fails.
Summary: When using the option --gio it fails.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: duplicity
Version: 20
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Rahul Sundaram
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-10 00:46 UTC by Fran Firman
Modified: 2013-12-27 22:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-27 22:54:13 UTC


Attachments (Terms of Use)

Description Fran Firman 2013-07-10 00:46:41 UTC
Description of problem:

This is installed in: Red Hat Enterprise Linux Workstation release 6.4 (Santiago)

Description of problem:

When running duplicity with the option --gio, it fails with 

Unable to load gio backend: No module named gi.repository


Version-Release number of selected component (if applicable):

duplicity-0.6.21-1.el6.x86_64


How reproducible:


Steps to Reproduce:
1. duplicity collection-status --gio file:///backup/
2.
3.

Actual results:

Unable to load gio backend: No module named gi.repository

Expected results:

Synchronizing remote metadata to local cache...
Last full backup date: Wed Jul 10 11:30:34 2013
Collection Status
-----------------
Connecting with backend: LocalBackend
Archive dir: /home/ffirman/.cache/duplicity/9d4cc80aafc8487e4ec91ba3ce62b89d

Found 0 secondary backup chains.

Found primary backup chain with matching signature chain:
-------------------------
Chain start time: Wed Jul 10 11:30:34 2013
Chain end time: Wed Jul 10 11:30:34 2013
Number of contained backup sets: 1
Total number of contained volumes: 175
 Type of backup set:                            Time:      Num volumes:
                Full         Wed Jul 10 11:30:34 2013               175
-------------------------
No orphaned or incomplete backup sets found.

Additional info:

This is a problem when using the deja-dup frontend, as it always adds the --gio option to the commandline, so makes using that unuseable.

Comment 1 Fedora End Of Life 2013-09-16 14:27:17 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20

Comment 2 Fedora Admin XMLRPC Client 2013-12-26 06:18:15 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.


Note You need to log in before you can comment on or make changes to this bug.